# Translate text

This method translates the input text.
The request body should include the following elements:
 from (string) - A standard IETF tag for the source language. Use  or a vertical bar-delimited set of language codes to invoke autodetect.
* to (string) - A standard IETF tag for the target language. If the source and target languages are the same, paraphrasing will be applied.
* content (string) - The text content to translate.
* settings (object) - Additional translation settings.

More information: Tisane API Configuration And Customization Guide

The response is the transformed text.

Endpoint: POST /transform
Version: 4.8.0.0
Security: Tisane-API-Key

## Header parameters:

  - `Content-Type` (string)
    Example: "application/json"

## Request fields (application/json):

  - `from` (string)

  - `to` (string)

  - `content` (string)

  - `settings` (object)

  - `settings.snippets` (boolean)
    When set to true, relevant fragments are included in abuse, sentiment_expressions, and entities_summary sections.

  - `settings.abuse` (boolean)
    Whether to output abuse. Default: true

  - `settings.sentiment` (boolean)
    Whether to output sentiment. Default: true

  - `settings.topics` (boolean)
    Whether to output topics. Default: true

  - `settings.entities` (boolean)
    Whether to output entity information. Default: true

  - `settings.relations` (boolean)
    When true, relations between the entities are provided.

  - `settings.disable_spellcheck` (boolean)
    When set to true, spellchecking is not used. Default: false (the spellchecking is on by default)

  - `settings.words` (boolean)
    When set to true, individual lexical chunks are provided.

  - `settings.state` (boolean)
    When set to true, the long-term memory contents are returned.

  - `settings.memory` (object)

  - `settings.memory.flags` (array)

  - `settings.memory.antecedents` (array)
    Previously mentioned elements to be used for coreference resolution.

  - `settings.memory.antecedents.family` (integer)
    The family ID of the antecedent.

  - `settings.memory.antecedents.features` (array)

  - `settings.memory.assign` (array)
    Conditional assignments to be executed when parsing.

  - `settings.memory.assign.if` (object, required)
    Conditions to match (all conditions must match).

  - `settings.memory.assign.if.family` (integer)
    A family ID of the target lexeme.

  - `settings.memory.assign.if.hypernym` (integer)
    A family ID of a hypernym of the target lexeme.

  - `settings.memory.assign.if.features` (array)

  - `settings.memory.assign.if.regex` (string)
    A regular expression to match.

  - `settings.memory.assign.then` (object, required)
    Attribute values to assign.

  - `settings.memory.assign.then.family` (integer)
    A family ID to assign.

  - `settings.memory.assign.then.hypernym` (integer)
    A family ID of a hypernym to assign.

  - `settings.memory.assign.then.features` (array)

  - `settings.memory.assign.then.attribution` (boolean)
    Marks the target as attribution.


## Response 400 fields

## Response 401 fields

## Response 500 fields
